function [outputArg] = plot_suspension_velocities(panel, start, stop, pltData)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    % plot 1: velocity front left [mm/s]
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Damper Front Left Velocity [mm/s] !!!check sortdata calculation!!!")
    plot(ax1, pltData.xAxis(start:stop), pltData.velocity_FL_mmps(start:stop))
    % plot 2: velocity front right [mm/s]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Damper Front Right Velocity [mm/s]")
    plot(ax2, pltData.xAxis(start:stop), pltData.velocity_FR_mmps(start:stop))
    % plot 3: velocity rear left [mm/s]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Damper Rear Left Velocity [mm/s]")
    plot(ax3, pltData.xAxis(start:stop), pltData.velocity_RL_mmps(start:stop))
    % plot 4: velocity rear right [mm/s]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Damper Rear Right Velocity [mm/s]")
    plot(ax4, pltData.xAxis(start:stop), pltData.velocity_RR_mmps(start:stop))
    linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

